﻿using NSEventDemo.NSEvent;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NSEventDemo
{
    public partial class Form1 : Form, INotificationReceiver<ButtonClick>
    {
        public Form1()
        {
            InitializeComponent();
        }


        CustomButton button;
        public void Notify(object sender, ButtonClick argument)
        {
            MessageBox.Show("Button clicked!");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.DoubleBuffered = true;

            button = NSEM.New<CustomButton>(0, 0, 200, 50);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            button.Draw(e.Graphics);
        }

        private void Form1_MouseClick(object sender, MouseEventArgs e)
        {
            button.Update(e.X, e.Y, e.Button == MouseButtons.Left);
        }
    }
}
